org.fourthline.cling.support.model

## Enum TransportState

- java.lang.Object
- - java.lang.Enum<TransportState>
  - - org.fourthline.cling.support.model.TransportState

- All Implemented Interfaces:
    Serializable, Comparable<TransportState>

      public enum TransportState
      extends Enum<TransportState>

  Author:
    Christian Bauer

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUSTOM`
    `NO_MEDIA_PRESENT`
    `PAUSED_PLAYBACK`
    `PAUSED_RECORDING`
    `PLAYING`
    `RECORDING`
    `STOPPED`
    `TRANSITIONING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getValue()`
    `TransportState` | `setValue(String value)`
    `static TransportState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TransportState` | `valueOrCustomOf(String s)`
    `static TransportState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STOPPED

          public static final TransportState STOPPED

    - #### PLAYING

          public static final TransportState PLAYING

    - #### TRANSITIONING

          public static final TransportState TRANSITIONING

    - #### PAUSED_PLAYBACK

          public static final TransportState PAUSED_PLAYBACK

    - #### PAUSED_RECORDING

          public static final TransportState PAUSED_RECORDING

    - #### RECORDING

          public static final TransportState RECORDING

    - #### NO_MEDIA_PRESENT

          public static final TransportState NO_MEDIA_PRESENT

    - #### CUSTOM

          public static final TransportState CUSTOM

  - ### Method Detail

    - #### values

          public static TransportState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransportState c : TransportState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransportState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### setValue

          public TransportState setValue(String value)

    - #### valueOrCustomOf

          public static TransportState valueOrCustomOf(String s)

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.